# $Revision: 1.7 $, $Date: 2004/11/16 21:52:05 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	lattice
Summary:	Lattice Graphics
Summary(pl):	Grafika Lattice
Name:		R-cran-%{modulename}
Version:	0.10r14
Release:	1
License:	GPL v2+
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	2fd8e7bffa28396223cf1d924d486b57
# Source0-size: 186666
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of Trellis Graphics. See Lattice for a brief
introduction.

%description -l pl
Implementacja Grafiki Trellis. Wstpne informacje mona znale w
Lattice.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,ChangeLog,INDEX,NAMESPACE}
%{_libdir}/R/library/%{modulename}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-lattice.spec,v $
Revision 1.7  2004/11/16 21:52:05  undefine
- release 1, up to 0.10-14

Revision 1.6  2004/11/02 18:36:12  undefine
- up to 0.10-13

Revision 1.5  2004/10/13 19:26:21  undefine
- don't use -n %{modulename} when build

Revision 1.4  2004/10/13 17:35:08  qboosh
- R s/perl/perl-base/

Revision 1.3  2004/10/13 17:18:22  qboosh
- cosmetics

Revision 1.2  2004/10/13 06:59:51  ankry
- spaces -> tabs

Revision 1.1  2004/10/12 22:44:34  undefine
- initital version (recommended packages series ;)
